Bug 90852 - TOOLBAR: 'Area Style / Filing' drop down control doesnt update 'Fill Color' drop down
Summary: TOOLBAR: 'Area Style / Filing' drop down control doesnt update 'Fill Color' d...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2015-04-25 02:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-03-12 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-25 02:18:25 UTC
If you add the 'Fill Color' button (.uno:FillColor) to the 'Drawing Object Properties' toolbar in writer or the 'Line and Filling' toolbar in impress/draw, you will notice that if update the 'Fill Color' split button that the 'Area Style / Filling' drop down (.uno:FormatArea) will change to that new color. But if you change the 'Area Style / Filling' control with a new color, it will not change the color in 'Fill Color'.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 1 Buovjaga 2015-04-28 06:31:39 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI
Comment 2 Maxim Monastirsky 2015-04-28 10:37:10 UTC
It's the same "simple vs split button" thing as for .uno:XLineColor (Bug 90721), and they both even share the same code, so they can be changed at once.
Comment 3 QA Administrators 2016-09-20 09:34:09 UTC Comment hidden (obsolete)
Comment 4 Thomas Lendo 2018-03-11 22:44:33 UTC
Still reproducible with Version: 6.1.0.0.alpha0+
Build ID: adc6ba2ad502f095dde8f36242fda9aaa6c276fd
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Build from today
Comment 5 QA Administrators 2019-03-12 03:38:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug